Pix Automatic (Recurrence)
Get authorization by recurrence ID
Retrieves a specific recurring payment authorization by its recurrence ID (idRec).
GET
/
v1.1
/
pix-automatic
/
authorizations
/
{idRec}
Get authorization by recurrence ID
curl --request GET \
--url https://api.paymee.com.br/v1.1/pix-automatic/authorizations/{idRec} \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-token: <x-api-token>'import requests
url = "https://api.paymee.com.br/v1.1/pix-automatic/authorizations/{idRec}"
headers = {
"x-api-key": "<x-api-key>",
"x-api-token": "<x-api-token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'x-api-token': '<x-api-token>'}
};
fetch('https://api.paymee.com.br/v1.1/pix-automatic/authorizations/{idRec}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "success",
"authorization": {
"id": 27,
"idRec": "RR286838922025061604202710881",
"status": "APPROVED",
"periodicity": "MONTHLY",
"minimumAmount": 11,
"initialDate": "2025-06-19",
"finalDate": "2025-12-15",
"nextRecurrenceDate": "2025-07-19 03:00:00",
"creation": "2025-06-16 07:21:04",
"payer": {
"document": "00000000000",
"name": "JOHN DOE",
"ispb": "99999919"
},
"contract": {
"id": "6851c0842bf40769ead1fde5",
"description": "contract-456"
}
},
"paymentSchedules": [
{
"id": 13,
"status": "PAID",
"dueDate": "2025-06-16 07:20:24",
"amount": 11,
"sale": {
"id": 215832385,
"uuid": "3b1e4441-9060-3b9e-81a4-d0fa4cab19b8",
"situation": "CANCELLED"
}
}
]
}{
"errorCount": 1,
"errors": [
{
"error": "Forbidden",
"message": "Access Denied"
}
],
"message": "field validation failure",
"status": -1
}{
"status": 998,
"message": "authorization not found",
"errorCount": 1,
"errors": [
{
"field": "idRec",
"message": "non-existent authorization"
}
]
}Headers
Example:
"your-x-api-key"
Example:
"your-x-api-token"
Path Parameters
Recurrence ID (idRec) of the authorization to be retrieved.
⌘I
Get authorization by recurrence ID

